Subject: RE: [Sigtran] Recommendation for SUA modifications

From: "Haresign Lincoln" <[email-masked]>
Date: Thu, 13 Oct 2005 14:05:16 -0400

Brian,

I fail to see why you are so opposed to making the affected PC OPTIONAL
(or conditional) in the ASP->SG direction.  People make changes and
improvements to the M3UA and SUA specifications.  Nobody has given a
single good reason why this should not be changed.  I seem to have the
support of Tolga (Ulticom) and I believe I have the support of Barry
(Adax).  I'm not completely clear on where John (Nokia) stands.

I have given several reason where this might be useful.  This is such a
minor change that would enable some very interesting functionality in
the SG if developers wanted to use it and eliminate the need to do
unnecessary provisioning on the ASP.

Really, this is minor.  Please specify why you are so opposed to this
minor change.

Regards,
Lincoln

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: Thursday, October 13, 2005 1:36 PM
To: Haresign Lincoln
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [Sigtran] Recommendation for SUA modifications

Haresign,

Haresign Lincoln wrote:
(Thu, 13 Oct 2005 09:31:01)
> John,
> 
> I agree...SGs always have point codes.  
> 
> With regards to ASPs, there are SOME architectures where PCs are NOT 
> necessary.  Of course there are others where they ARE necesssary.  I'm

> trying to solve the problem of when they are NOT necessary and NO 
> other problem.  I'm sure we can think of many scenarios where affected

> PC is necessary.  And I'm not arguing against those scenarios.
> 
> But I think you have to admit that there are SOME architectures where 
> it is not necessary for the ASP to know it's Point Code.  As a matter 
> of fact, we have this architecture deployed in several large networks 
> today. If you'd like me to elaborate further, I'd be happy to.
> 
> So if we go on the premise that there are some network architectures 
> that do not require knowledge of point code in the ASP, then we either

> need to:
> 
> 1) Unneccessarily configure the point code on the ASP only so that we 
> can send an SCON with the required affected point code.

You have another choice right now: don't send SCON from the ASP.

Because the SG can ignore received SCON, it is not interoperable anyway.

> 
> OR:
> 
> 2) Make the point code optional for certain scenarios.  For example 
> when the ASP and the SG share the same point code.
> 

--
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 13 Oct 2005 17:11:08 -0600

Lincoln,

It is a far more minor matter for you to allocate a point code.

That requires no changes to the specification and it is something
that you can do to stop further taking up the WG's time.

--brian

Haresign Lincoln wrote:                   (Thu, 13 Oct 2005 14:05:16)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/